diff --git a/math/maxima/Portfile b/math/maxima/Portfile
index 56a8697..bec309c 100644
--- a/math/maxima/Portfile
+++ b/math/maxima/Portfile
@@ -4,8 +4,8 @@
 PortSystem 1.0
 
 name            maxima
-version         5.34.1
-revision        8
+version         5.36.1
+revision        0
 categories      math
 maintainers     mareimbrium.org:kuba openmaintainer
 platforms       darwin
@@ -25,9 +25,9 @@ long_description \
 homepage        http://maxima.sourceforge.net/
 master_sites    sourceforge
 
-checksums       md5     5d7801b7bcef40de43c2ce04ac94eca0 \
-                sha256  20ca416ca912c8d3d99299f2ef45342a1beb2f077cf501c6a647de46bfdb89b7 \
-                rmd160  0a2a529690df8ddd4d7565132b36d39819c7a292
+checksums       md5     59e6e3d8bc1009a4ddead8c10317a8ec \
+                sha256  400bf83000b84d280d75e200e078582fe44f23220824562cc06c589d8a993974 \
+                rmd160  6446bd96c4138aec61a7906cc9fd8923670d2892
 
 depends_lib     port:sbcl
 depends_run     port:recode \
diff --git a/math/maxima/files/no-xmaxima.patch b/math/maxima/files/no-xmaxima.patch
index 4a14363..7c2170d 100644
--- a/math/maxima/files/no-xmaxima.patch
+++ b/math/maxima/files/no-xmaxima.patch
@@ -1,17 +1,18 @@
---- Makefile.in.orig		2014-04-25 00:21:03.000000000 +0200
-+++ Makefile.in			2014-04-25 00:22:18.000000000 +0200
-@@ -38,9 +38,8 @@
- DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
- 	$(srcdir)/Makefile.in $(srcdir)/common.mk \
- 	$(srcdir)/maxima-local.in $(srcdir)/maxima.iss.in \
--	$(srcdir)/maxima.spec.in $(srcdir)/xmaxima-local.in \
-+	$(srcdir)/maxima.spec.in \
- 	$(top_srcdir)/configure $(top_srcdir)/doc/man/ru/maxima.1.in \
+--- Makefile.in.old	2015-07-31 00:47:37.000000000 +0200
++++ Makefile.in		2015-07-31 00:50:19.000000000 +0200
+@@ -82,10 +82,9 @@
+ DIST_COMMON = $(srcdir)/common.mk INSTALL NEWS README AUTHORS \
+ 	ChangeLog $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+ 	$(top_srcdir)/configure $(am__configure_deps) \
+-	$(srcdir)/maxima-local.in $(srcdir)/xmaxima-local.in \
++	$(srcdir)/maxima-local.in \
+ 	$(srcdir)/maxima.spec.in $(srcdir)/maxima.iss.in \
+ 	$(top_srcdir)/doc/man/ru/maxima.1.in \
 -	$(top_srcdir)/interfaces/xmaxima/Tkmaxima/Header.tcl.in \
- 	AUTHORS COPYING ChangeLog INSTALL NEWS config.guess config.sub \
- 	install-sh missing
- subdir = .
-@@ -51,8 +50,8 @@
+ 	COPYING config.guess config.sub install-sh missing
+ # Install files for lisp runtime support
+ @GCL_TRUE@@WIN32_TRUE@am__append_1 = gcccopy
+@@ -99,8 +98,8 @@
  am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   configure.lineno config.status.lineno
  mkinstalldirs = $(install_sh) -d
@@ -20,9 +21,9 @@
 +CONFIG_CLEAN_FILES = maxima-local maxima.spec maxima.iss \
 +	doc/man/ru/maxima.1
  CONFIG_CLEAN_VPATH_FILES =
- SOURCES =
- DIST_SOURCES =
-@@ -252,9 +251,9 @@
+ AM_V_P = $(am__v_P_@AM_V@)
+ am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
+@@ -345,9 +344,9 @@
    common.mk maxima.iss.in \
    README.lisps README.rpms README.i18n README.external \
    INSTALL.win32 INSTALL.lisp \
@@ -34,7 +35,7 @@
    ChangeLog-5.9.2 ChangeLog-5.9.3 ChangeLog-5.10.0 ChangeLog-5.11.0 \
    ChangeLog-5.12.0 ChangeLog-5.13.0 ChangeLog-5.14.0 ChangeLog-5.15.0 \
    ChangeLog-5.16 ChangeLog-5.17 ChangeLog-5.17-special-functions \
-@@ -325,16 +324,12 @@
+@@ -417,16 +416,12 @@
  $(am__aclocal_m4_deps):
  maxima-local: $(top_builddir)/config.status $(srcdir)/maxima-local.in
  	cd $(top_builddir) && $(SHELL) ./config.status $@
@@ -50,10 +51,10 @@
 -	cd $(top_builddir) && $(SHELL) ./config.status $@
  
  # This directory's subdirectories are mostly independent; you can cd
- # into them and run `make' without going through this Makefile.
---- interfaces/Makefile.in.orig			2014-04-25 00:21:02.000000000 +0200
-+++ interfaces/Makefile.in			2014-04-25 00:21:20.000000000 +0200
-@@ -219,8 +219,7 @@
+ # into them and run 'make' without going through this Makefile.
+--- interfaces/Makefile.in.old	2015-07-31 00:47:35.000000000 +0200
++++ interfaces/Makefile.in	2015-07-31 00:49:12.000000000 +0200
+@@ -305,8 +305,7 @@
  top_builddir = @top_builddir@
  top_srcdir = @top_srcdir@
  win32 = @win32@