--- modules/video_filter/Makefile.orig	2015-10-19 14:02:08.000000000 +0200
+++ modules/video_filter/Makefile	2015-10-19 14:06:10.000000000 +0200
@@ -1146,8 +1146,8 @@
 LIBS_ogg = -L/opt/local/lib -logg  -L/opt/local/lib -lvorbis -lm -logg  -L/opt/local/lib -logg   
 LIBS_oldmovie = -lm 
 LIBS_oldrc = -lm 
-LIBS_opencv_example = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -l-framework Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -l-framework VideoDecodeAcceleration -l-framework QTKit -l-framework QuartzCore -l-framework AppKit   
-LIBS_opencv_wrapper = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -l-framework Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -l-framework VideoDecodeAcceleration -l-framework QTKit -l-framework QuartzCore -l-framework AppKit   
+LIBS_opencv_example = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -Wl,-framework,Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -Wl,-framework,VideoDecodeAcceleration -Wl,-framework,QTKit -Wl,-framework,QuartzCore -Wl,-framework,AppKit   
+LIBS_opencv_wrapper = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -Wl,-framework,Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -Wl,-framework,VideoDecodeAcceleration -Wl,-framework,QTKit -Wl,-framework,QuartzCore -Wl,-framework,AppKit   
 LIBS_opus = -L/opt/local/lib -logg -lopus   
 LIBS_param_eq = -lm 
 LIBS_postproc = -L/opt/local/lib -lpostproc -lavutil -lm   -lm 
@@ -1370,7 +1370,7 @@
 OGG_CFLAGS = -I/opt/local/include 
 OGG_LIBS = -L/opt/local/lib -logg 
 OPENCV_CFLAGS = -I/opt/local/include/opencv -I/opt/local/include 
-OPENCV_LIBS = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -l-framework Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -l-framework VideoDecodeAcceleration -l-framework QTKit -l-framework QuartzCore -l-framework AppKit 
+OPENCV_LIBS = -L/opt/local/lib -lopencv_shape -lopencv_stitching -lopencv_objdetect -lopencv_superres -lopencv_videostab -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_video -lopencv_photo -lopencv_ml -lopencv_imgproc -lopencv_flann -lopencv_core -lopencv_hal -Wl,-framework,Cocoa -lpng -ltiff -ljasper -ljpeg -lImath -lIlmImf -lIex -lHalf -lIlmThread -lavcodec -lavformat -lavutil -lswscale -lavresample -lz -lbz2 -Wl,-framework,VideoDecodeAcceleration -Wl,-framework,QTKit -Wl,-framework,QuartzCore -Wl,-framework,AppKit 
 OPUS_CFLAGS = -I/opt/local/include -I/opt/local/include/opus 
 OPUS_LIBS = -L/opt/local/lib -logg -lopus 
 OSS_LIBS = 