diff -ur /Users/mediaforge/Documents/Projects/macports.org/trunk/dports/www/drupal6/Portfile www/drupal6/Portfile
--- /Users/mediaforge/Documents/Projects/macports.org/trunk/dports/www/drupal6/Portfile	2015-10-05 11:26:21.000000000 -0600
+++ www/drupal6/Portfile	2015-10-06 16:10:20.000000000 -0600
@@ -3,11 +3,12 @@
 PortSystem          1.0
 
 name                drupal6
-version             6.22
+version             6.37
+license             GPL-2
 categories          www php
 platforms           darwin
 supported_archs     noarch
-maintainers         acm.org:c_dantonio
+maintainers         acm.org:c_dantonio gmail.com:pedro.salgado
 
 description         Drupal Open Source enterprise content management platform
 long_description    Drupal is Open Source social publishing software that empowers individuals, teams, and communities  \
@@ -19,68 +20,300 @@
 distname            drupal-${version}
 master_sites        http://ftp.drupal.org/files/projects/ \
                     http://ftp.osuosl.org/pub/drupal/files/projects/
-checksums           md5    447490f3bc155fd1d5c2d47280c999a5  \
-                    sha1   a67acdb606aabbd9da6ddd2c016d43bb9ec17431  \
-                    rmd160 42cb64a32ca457779e498ef8edb952e04f8b2c86
-depends_lib         port:apache2 \
-                    port:php5 \
-                    port:php5-gd \
-                    port:php5-mbstring \
-                    path:bin/mysql_config5:mysql5
-
-variant apache1 description "use apache 1.x instead of apache 2.x" {
-  depends_lib-append      port:apache
-  depends_lib-delete      port:apache2
-}
-
-variant php4 description "use php4 instead of php5" conflicts php52 {
-  depends_lib-append      port:php4
-  depends_lib-delete      port:php5 \
-                          port:php5-gd \
-                          port:php5-mbstring
-}
-
-variant php52 description "use php5.2 instead of the latest php version" conflicts php4 {
-  depends_lib-delete      port:php5 \
-                          port:php5-gd \
-                          port:php5-mbstring
-  depends_lib-append      port:php52
-}
-
-variant mysql4 conflicts postgresql postgresql80 postgresql81 postgresql82 postgresql83 postgresql84 description "use mysql4 instead of mysql5" {
-  depends_lib-append      port:mysql4
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
-
-variant postgresql conflicts mysql4 description "use postgresql as the drupal database" {
-  depends_lib-append      port:postgresql84
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
-
-variant postgresql80 conflicts mysql4 postgresql81 postgresql82 postgresql83 postgresql84 description "use postgres80 as the drupal database" {
-  depends_lib-append      port:postgresql80
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
-
-variant postgresql81 conflicts mysql4 postgresql80 postgresql82 postgresql83 postgresql84 description "use postgressql81 as the drupal database" {
-  depends_lib-append      port:postgresql81
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
-
-variant postgresql82 conflicts mysql4 postgresql80 postgresql81 postgresql83 postgresql84  description "use postgresql82 as the drupal database" {
-  depends_lib-append      port:postgresql82
-  depends_lib-delete      path:bin/mysql_config5:mysql5
+checksums           md5     93353eb918bccfcf4fb6f13ecb0f97d4 \
+                    sha1    a5575b7327eacb0d713c7ad653498ff0cfaca789 \
+                    rmd160  556da18c793de4d42a1a4a27e3ce5d5521a4e0e3
+                    
+                    # https://www.drupal.org/requirements
+depends_run         port:apache2  \
+                    port:php53 \
+                    port:php53-apache2handler \
+                    port:php53-gd \
+                    port:php53-mbstring \
+                    port:php53-mysql \
+                    port:mysql56
+
+
+## variant:apache
+
+variant apache24 \
+    description "use apache 2.4.x instead of apache 2.2.x" {
+  depends_run-delete      port:apache2
+  depends_run-append      port:apache24-devel
+}
+
+variant apache1 \
+    description "use apache 1.x instead of apache 2.2.x" {
+  depends_run-delete      port:apache2
+  depends_run-append      port:apache
+}
+
+
+## variant:mysql
+
+variant mysql55 \
+    description "use mysql55 instead of mysql56" \
+    conflicts mysql51 mysql4 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:mysql55
+  depends_run-delete      port:mysql56
+}
+
+variant mysql51 \
+    description "use mysql55 instead of mysql56" \
+    conflicts mysql55 mysql4 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:mysql51
+  depends_run-delete      port:mysql56
+}
+
+variant mysql4 \
+    description "use mysql4 instead of mysql56" \
+    conflicts mysql55 mysql51 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:mysql4
+  depends_run-delete      port:mysql56
+}
+
+
+## variant:php
+
+variant php56 \
+    description "use php56 instead of php53" \
+    conflicts php55 php54 php52 php4 {
+  depends_run-delete      port:php53 \
+                          port:php53-apache2handler \
+                          port:php53-gd \
+                          port:php53-mbstring
+  depends_run-append      port:php56 \
+                          port:php56-apache2handler \
+                          port:php56-gd \
+                          port:php56-mbstring
+}
+
+variant php55 \
+    description "use php55 instead of php53" \
+    conflicts php56 php54 php52 php4 {
+  depends_run-delete      port:php53 \
+                          port:php53-apache2handler \
+                          port:php53-gd \
+                          port:php53-mbstring
+  depends_run-append      port:php55 \
+                          port:php55-apache2handler \
+                          port:php55-gd \
+                          port:php55-mbstring
+}
+
+variant php54 \
+    description "use php54 instead of php53" \
+    conflicts php56 php55 php52 php4 {
+  depends_run-delete      port:php53 \
+                          port:php53-apache2handler \
+                          port:php53-gd \
+                          port:php53-mbstring
+  depends_run-append      port:php54 \
+                          port:php54-apache2handler \
+                          port:php54-gd \
+                          port:php54-mbstring
+}
+
+variant php52 \
+    description "use php54 instead of php53" \
+    conflicts php56 php55 php54 php4 {
+  depends_run-delete      port:php53 \
+                          port:php53-apache2handler \
+                          port:php53-gd \
+                          port:php53-mbstring
+  depends_run-append      port:php52 \
+                          port:php52-apache2handler \
+                          port:php52-gd \
+                          port:php52-mbstring
+}
+
+variant php4 \
+    description "use php4 instead of php53" \
+    conflicts php56 php55 php54 php52 {
+  depends_run-delete      port:php53 \
+                          port:php53-apache2handler \
+                          port:php53-gd \
+                          port:php53-mbstring
+  depends_run-append      port:php4
+}
+
+
+## variant:postgresql
+
+variant postgresql94 \
+    description "use postgres94 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql94
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql93 \
+    description "use postgres93 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 \
+{
+  depends_run-append      port:postgresql93
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql92 \
+    description "use postgres92 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql92
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql91 \
+    description "use postgres91 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql91
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql90 \
+    description "use postgres90 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql90
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql84 \
+    description "use postgres84 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql83 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql84
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql83 \
+    description "use postgres83 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql82 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql83
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql82 \
+    description "use postgres82 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql81 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql82
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql81 \
+    description "use postgres81 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql80 \
+              postgresql7 {
+  depends_run-append      port:postgresql81
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql80 \
+    description "use postgres80 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 postgresql82 postgresql81 \
+              postgresql7 {
+  depends_run-append      port:postgresql80
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
+}
+
+variant postgresql7 \
+    description "use postgresql7 as the drupal database" \
+    conflicts mysql55 mysql51 mysql4 \
+              postgresql94 postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 postgresql82 postgresql81 postgresql80 {
+  depends_run-append      port:postgresql7
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql \
+                          port:php53-mysql \
+                          port:php52-mysql
 }
 
-variant postgresql83 conflicts mysql4 postgresql80 postgresql81 postgresql82 postgresql84 description "use postgresql83 as the drupal database" {
-  depends_lib-append      port:postgresql83
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
-
-variant postgresql84 conflicts mysql4 postgresql80 postgresql81 postgresql82 postgresql83 description "use postgresql84 as the drupal database" {
-  depends_lib-append      port:postgresql84
-  depends_lib-delete      path:bin/mysql_config5:mysql5
-}
 
 use_configure       no
 build               {}
@@ -92,3 +325,7 @@
   eval file copy [glob ${worksrcpath}/*] ${docroot}/drupal6
   eval file copy ${worksrcpath}/.htaccess ${docroot}/drupal6
 }
+
+livecheck.type      regex
+livecheck.url       https://www.drupal.org/project/drupal
+livecheck.regex     {files\/projects\/drupal-(6(\.\d+)+)}