diff -ur trunk/dports/www/drupal7/Portfile local/www/drupal7/Portfile
--- trunk/dports/www/drupal7/Portfile	2015-10-05 11:26:21.000000000 -0600
+++ local/www/drupal7/Portfile	2015-10-06 17:19:42.000000000 -0600
@@ -3,12 +3,13 @@
 PortSystem          1.0
 
 name                drupal7
-version             7.4
+version             7.39
+license             GPL-2
 categories          www php
 platforms           darwin
 supported_archs     noarch
 
-maintainers         acm.org:c_dantonio
+maintainers         acm.org:c_dantonio gmail.com:pedro.salgado
 description         Drupal Open Source enterprise content management platform
 long_description    Drupal is Open Source social publishing software that \
     empowers individuals, teams, and communities to easily publish, manage and \
@@ -21,35 +22,171 @@
 distname            drupal-${version}
 master_sites        http://ftp.drupal.org/files/projects/ \
                     http://ftp.osuosl.org/pub/drupal/files/projects/
-checksums           md5     84704de078e9f5432c9bb5c6ecd841d4 \
-                    sha1    5baafc27b3473dae1056e6053734fab42a1bfc25 \
-                    rmd160  bfb44319df159fd7597b1a043abffb0f27e37a2f
-depends_lib         port:apache2 \
-                    port:php5 \
-                    path:bin/mysql_config5:mysql5 \
-                    port:php5-gd \
-                    port:php5-mbstring
+checksums           md5     6f42a7e9c7a1c2c4c9c2f20c81b8e79a \
+                    sha1    82cc4177502bc44f6bfe880311e0d81815e68f0f \
+                    rmd160  cc9c78e446eaee12a8a6f40436c6588ff4892819
+
+                    # https://www.drupal.org/requirements
+depends_run         port:apache2  \
+                    port:php54 \
+                    port:php54-apache2handler \
+                    port:php54-gd \
+                    port:php54-mbstring \
+                    port:php54-mysql \
+                    port:mysql56
+
+
+## variant:apache
+
+variant apache24 \
+    description "use apache 2.4.x instead of apache 2.2.x" {
+  depends_run-delete      port:apache2
+  depends_run-append      port:apache24-devel
+}
+
+variant apache1 \
+    description "use apache 1.x instead of apache 2.2.x" {
+  depends_run-delete      port:apache2
+  depends_run-append      port:apache
+}
+
+
+## variant:mysql
+
+variant mysql55 \
+    description "use mysql55 instead of mysql56" \
+    conflicts mysql51 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:mysql55
+  depends_run-delete      port:mysql56
+}
+
+variant mysql51 \
+    description "use mysql55 instead of mysql56" \
+    conflicts mysql55 \
+              postgresql93 postgresql92 postgresql91 postgresql90 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:mysql51
+  depends_run-delete      port:mysql56
+}
+
+
+## variant:php
+
+variant php56 \
+    description "use php54 instead of php53" \
+    conflicts php55 {
+  depends_run-delete      port:php54 \
+                          port:php54-apache2handler \
+                          port:php54-gd \
+                          port:php54-mbstring
+  depends_run-append      port:php56 \
+                          port:php56-apache2handler \
+                          port:php56-gd \
+                          port:php56-mbstring
+}
+
+variant php55 \
+    description "use php55 instead of php53" \
+    conflicts php56 {
+  depends_run-delete      port:php54 \
+                          port:php54-apache2handler \
+                          port:php54-gd \
+                          port:php54-mbstring
+  depends_run-append      port:php55 \
+                          port:php55-apache2handler \
+                          port:php55-gd \
+                          port:php55-mbstring
+}
+
+## variant:postgresql
+
+variant postgresql94 \
+    description "use postgres94 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql94
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
+}
 
-variant apache1 description "use apache 1.x instead of apache 2.x" {
-  depends_lib-append      port:apache
-  depends_lib-delete      port:apache2
+variant postgresql93 \
+    description "use postgres93 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql93
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
 }
 
-variant sqlite conflicts postgresql postgresql83 description "use sqlite instead of mysql5" {
-  depends_lib-append      port:php5-sqlite
-  depends_lib-delete      path:bin/mysql_config5:mysql5
+variant postgresql92 \
+    description "use postgres92 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql92
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
 }
 
-variant postgresql conflicts sqlite postgresql83 description "use postgresql as the drupal database" {
-  depends_lib-append      port:postgresql84
-  depends_lib-delete      path:bin/mysql_config5:mysql5
+variant postgresql91 \
+    description "use postgres91 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql91
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
 }
 
-variant postgresql83 conflicts sqlite postgresql description "use postgresql83 as the drupal database" {
-  depends_lib-append      port:postgresql83
-  depends_lib-delete      path:bin/mysql_config5:mysql5
+variant postgresql90 \
+    description "use postgres90 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql90
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
 }
 
+variant postgresql84 \
+    description "use postgres84 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql84
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
+}
+
+variant postgresql83 \
+    description "use postgres83 as the drupal database" \
+    conflicts mysql55 mysql51 \
+              postgresql94 postgresql93 postgresql92 postgresql91 \
+              postgresql84 postgresql83 {
+  depends_run-append      port:postgresql83
+  depends_run-delete      port:mysql56 \
+                          port:php56-mysql \
+                          port:php55-mysql \
+                          port:php54-mysql
+}
+
+
 worksrcdir          drupal-${version}
 use_configure       no
 build               {}
@@ -61,3 +198,7 @@
   eval file copy [glob ${worksrcpath}/*] ${docroot}/drupal7
   eval file copy ${worksrcpath}/.htaccess ${docroot}/drupal7
 }
+
+livecheck.type      regex
+livecheck.url       https://www.drupal.org/project/drupal
+livecheck.regex     {files\/projects\/drupal-(7(\.\d+)+)}